Page MenuHomePhabricator

LQT search field disappeared on ptwikibooks
Closed, ResolvedPublic

Description

On
https://www.mediawiki.org/wiki/Extension_talk:UniversalLanguageSelector?uselang=en
the "Search terms:" field is available but for some unknown reason this feature disapeared from Portuguese Wikibooks:
https://pt.wikibooks.org/wiki/Project:LiquidThreads?uselang=en#Opini.C3.B5es.2C_testes_e_relatos_de_bugs

I have no idea when/why this happened.


Version: unspecified
Severity: normal
URL: https://pt.wikibooks.org/wiki/Wikilivros:LiquidThreads#Opini.C3.B5es.2C_testes_e_relatos_de_bugs

Details

Reference
bz60691

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:01 AM
bzimport set Reference to bz60691.
He7d3r created this task.Jan 31 2014, 7:22 PM
demon added a comment.Jan 31 2014, 7:27 PM

If I had to guess, I'd say it's something related to bug 60439.

And even bug 22678

You make it sound like a bad thing ;) The search term field has horrible usability. </flippant dig at liquid threads>


Appears to be caused by 8d7f9f8a. Its only enabling the search box if Lucene is an alternative search backend, where it should enable it if Lucene is primary or an alternative backend.

Yep, I think this is my fault. Patch incoming

Change 110616 had a related patch set uploaded by Alex Monk:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110616

Change 110616 merged by jenkins-bot:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110616

Change 110633 had a related patch set uploaded by Chad:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110633

Change 110634 had a related patch set uploaded by Chad:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110634

Change 110633 merged by jenkins-bot:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110633

Change 110634 merged by jenkins-bot:
Fix search bar not being shown

https://gerrit.wikimedia.org/r/110634

Deployed by Chad (thank you!)

He7d3r added a comment.Feb 2 2014, 9:50 AM

Will this be live only on Monday?

ptwikibooks is running 1.23wmf11 but I'm still not seeing any element with name="lqt_search" in the page linked above

I messed up the patch which might be why this didn't work - see Gerrit change 110846

demon added a comment.Feb 4 2014, 5:44 PM

Should be all fixed now. Sorry about that everyone.

He7d3r added a comment.Feb 4 2014, 6:32 PM

Should the fix(es) be live and the search field be visible at
https://pt.wikibooks.org/wiki/Project:LiquidThreads?uselang=en#Opini.C3.B5es.2C_testes_e_relatos_de_bugs
? I don't see it there...

demon added a comment.Feb 4 2014, 6:58 PM

I hate LQT so much.

Can we *please* just merge my patches to it so we can stop this hacky "try to detect lucene search" crud.